<!DOCTYPE html>
<html>
  <head>
    <title>OpenEBench Bioschemas API</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <style>
      body { width: 90%;
             margin-left: auto;
             margin-right: auto;
      }
      table { 
        width: 100%;
        white-space: nowrap; 
        border-collapse: separate;
        border-spacing: 0px 12px;
      }
      td { border-width: 1px 0px 1px 0px;
           border-style: solid;
           padding: 8px;
      }
      td:first-child { width: 5%; }
      td:last-child { width: 95%; }

      tr td:first-child { 
        border-left-width: 1px !important; 
        border-top-left-radius: 8px;
        border-bottom-left-radius: 8px; 
      }
      tr td:last-child { 
        border-right-width: 1px !important;
        border-top-right-radius: 8px;
        border-bottom-right-radius: 8px;
        white-space: normal; 
      }

      tr td:first-child:before {
        display: inline-block;
        width: 100%;
        text-align: center;
        padding: 2px 0px 2px 0px;
      }

      tr.GET td {
        border-color: #61affe;
        background-color: #eff7ff;
      }
      tr.GET td:first-child:before {
        content: "GET";
        color: #eff7ff;
        background-color: #61affe;
      }

      tr.HEAD td {
        border-color: #9012fe;
        background-color: #f4e7ff;
      }
      tr.HEAD td:first-child:before {
        content: "HEAD";
        color: #f4e7ff;
        background-color: #9012fe;
      }

      tr.POST td {
        border-color: #49cc90;
        background-color: #ecfaf4;
      }
      tr.POST td:first-child:before {
        content: "POST";
        color: #ecfaf4;
        background-color: #49cc90;
      }

      tr.PUT td {
        border-color: #fca130;
        background-color: #fff5ea;
      }
      tr.PUT td:first-child:before {
        content: "PUT";
        color: #fff5ea;
        background-color: #fca130;
      }

      tr.PATCH td {
        border-color: #42e5c4;
        background-color: #e7f7f4;
      }
      tr.PATCH td:first-child:before {
        content: "PATCH";
        color: #e7f7f4;
        background-color: #42e5c4;
      }

      tr.DELETE td {
        border-color: #f93e3e;
        background-color: #feebeb;
      }
      tr.DELETE td:first-child:before {
        content: "DELETE";
        color: #feebeb;
        background-color: #f93e3e;
      }
 
    </style>
  </head>
  <body>
    <h1>OpenEBench Bioschemas Tools API</h1>
    <table>
        <tr class="GET">
          <td></td>
          <td>/tools</td><td>Accept: application/json</td>
          <td>
            Get all OpenEBench tools as JSON array. It is possible to limit the number of results either via query parameters (e.g. "?from=10&to20") or
            via HTTP Range header ("Range: ComputationalTool=0-10").
          </td>
        </tr>

        <tr class="GET">
          <td></td>
          <td>/tools</td><td>Accept: application/ld+json</td>
          <td>
            Get all OpenEBench tools as Bioschemas @graph. 
          </td>
        </tr>

        <tr class="GET">
        <td></td>
        <td>/tools/{id}</td><td>Accept: application/json</td>
        <td>
          Get OpenEBench tool by its identifier and type (ex: '/tools/biotools:pmut:2017/cmd'). 
        </td>
      </tr>
      <tr class="GET">
        <td></td>
        <td>/tools/{id}</td><td>Accept: application/ld+json</td>
        <td>
          Get OpenEBench tool Bioschemas JSON-LD description by tool's identifier and type (ex: '/tools/biotools:pmut:2017/cmd'). 
        </td>
      </tr>
      <tr class="GET">
        <td></td>
        <td>/tools/log/{id}/{jsonpath}</td><td>Accept: application/json</td>
        <td>
          Get OpenEBench property changes log by tool's identifier and property path 
          (ex: '/tools/log/biotools:pmut:2017/cmd/description'). 
        </td>
      </tr>

      <tr class="PUT">
        <td></td>
        <td>/tools/{id}</td><td>Content-Type: application/json</td>
        <td>Inserts OpenEBench tool into the database.</td>
      </tr>

      <tr class="POST">
        <td></td>
        <td>/tools</td>
        <td>Accept: */*<br/>
            Accept: text/uri-list<br/>
            Accept: application/json<br/>
            Content-Type: application/json<br/>
        </td>
        <td>
          Inserts OpenEBench tools into the database. Accepts JSON array of documents to be inserted.<br/>
          Each document must have an "@id" string identifier in a short form (e.g. 'biotools:trimal:1.4/cmd').<br/>
          Returns nothing if no 'Accept' header is set or 'Accept' header is a wildcard '*/*'<br/>
          Returns a plain list of successfully inserted identifiers ("text/uri-list").<br/>
          Returns a JSON array of inserted objects ("application/json").<br/>
        </td>
      </tr>
    </table>
  
  </body>
</html>
